Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.parser
Class TypeParserImpl

    java.lang.Object
      org.apache.xmlrpc.parser.TypeParserImpl

All Implemented Interfaces:
  TypeParser, org.xml.sax.ContentHandler

Direct Known Subclasses:
  AtomicParser, ByteArrayParser, RecursiveTypeParserImpl

    public abstract class TypeParserImpl

extends java.lang.Object
implements TypeParser

Abstract base implementation of a `TypeParser`, for derivation of subclasses.

Constructor Summary
`TypeParserImpl()`

Method Summary
`void` | `characters(char[] pChars, int pOffset, int pLength)`
`void` | `endDocument()`
`void` | `endPrefixMapping(java.lang.String pPrefix)`
`org.xml.sax.Locator` | `getDocumentLocator()` Returns the document locator.
`java.lang.Object` | `getResult()` Returns the parsed object.
`void` | `ignorableWhitespace(char[] pChars, int pOffset, int pLength)`
`protected static boolean` | `isEmpty(char[] pChars, int pStart, int pLength)`
`void` | `processingInstruction(java.lang.String pTarget, java.lang.String pData)` PI's are by default ignored.
`void` | `setDocumentLocator(org.xml.sax.Locator pLocator)`
`void` | `setResult(java.lang.Object pResult)` Sets the result object.
`void` | `skippedEntity(java.lang.String pName)` Skipped entities raise an exception by default.
`void` | `startDocument()`
`void` | `startPrefixMapping(java.lang.String pPrefix, java.lang.String pURI)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xml.sax.ContentHandler
`endElement, startElement`

Constructor Detail

### TypeParserImpl

    public TypeParserImpl()

Method Detail

### setResult

    public void setResult(java.lang.Object pResult)

  Sets the result object.

  Parameters:
    `pResult` - The result object.

### getResult

    public java.lang.Object getResult()
                               throws XmlRpcException

  Description copied from interface: `TypeParser`
  Returns the parsed object.

  Specified by:
    `getResult` in interface `TypeParser`
  Returns:
    The parameter or result object.
  Throws:
    `XmlRpcException` - Creating the result object failed.

### getDocumentLocator

    public org.xml.sax.Locator getDocumentLocator()

  Returns the document locator.

  Returns:
    Locator object describing the current location within the document.

### setDocumentLocator

    public void setDocumentLocator(org.xml.sax.Locator pLocator)

  Specified by:
    `setDocumentLocator` in interface `org.xml.sax.ContentHandler`

### processingInstruction

    public void processingInstruction(java.lang.String pTarget,
                                      java.lang.String pData)
                               throws org.xml.sax.SAXException

  PI's are by default ignored.

  Specified by:
    `processingInstruction` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### skippedEntity

    public void skippedEntity(java.lang.String pName)
                       throws org.xml.sax.SAXException

  Skipped entities raise an exception by default.

  Specified by:
    `skippedEntity` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### startPrefixMapping

    public void startPrefixMapping(java.lang.String pPrefix,
                                   java.lang.String pURI)
                            throws org.xml.sax.SAXException

  Specified by:
    `startPrefixMapping` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### endPrefixMapping

    public void endPrefixMapping(java.lang.String pPrefix)
                          throws org.xml.sax.SAXException

  Specified by:
    `endPrefixMapping` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### endDocument

    public void endDocument()
                     throws org.xml.sax.SAXException

  Specified by:
    `endDocument` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### startDocument

    public void startDocument()
                       throws org.xml.sax.SAXException

  Specified by:
    `startDocument` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### isEmpty

    protected static boolean isEmpty(char[] pChars,
                                     int pStart,
                                     int pLength)

### characters

    public void characters(char[] pChars,
                           int pOffset,
                           int pLength)
                    throws org.xml.sax.SAXException

  Specified by:
    `characters` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### ignorableWhitespace

    public void ignorableWhitespace(char[] pChars,
                                    int pOffset,
                                    int pLength)
                             throws org.xml.sax.SAXException

  Specified by:
    `ignorableWhitespace` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.